# Create an agent test folder

Create a root or nested folder for organizing Agent Testing resources.

## Endpoint

`POST /api/v1/workspaces/{workspace_id}/agent-test-folders`

## Authentication

| Class | Authentication | Minimum role | API key |
| --- | --- | --- | --- |
| customer-api | Bearer API key or dashboard session cookie; dashboard mutations also require X-CX-Request: 1. | member | Allowed |

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `workspace_id` | path | `string` | Yes | — |

## Request body

### application/json request schema

| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
| --- | --- | --- | --- | --- | --- | --- | --- |
| `$` | `object` | FolderBody | — | No | Yes | — | — |
| `name` | `string` | — | — | No | Yes | — | — |
| `parent_folder_id` | `string or null` | — | — | Yes | No | — | — |

## Example

```bash
curl --request POST 'https://operade.ai/api/v1/workspaces/ws_demo/agent-test-folders' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{"name":"Support"}'
```

## Responses

| Status | Description | Content |
| --- | --- | --- |
| 4XX | Handled client error | application/json: `ErrorResponse` |
| 201 | Successful Response | application/json: `FolderResource` |

### 4XX application/json response schema

| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
| --- | --- | --- | --- | --- | --- | --- | --- |
| `$` | `object` | ErrorResponse | — | No | Yes | — | — |
| `error` | `object` | ErrorItem | — | No | Yes | — | — |
| `error.code` | `string` | — | — | No | Yes | — | — |
| `error.details` | `object` | — | — | No | No | — | — |
| `error.message` | `string` | — | — | No | Yes | — | — |

### 201 application/json response schema

| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
| --- | --- | --- | --- | --- | --- | --- | --- |
| `$` | `object` | FolderResource | — | No | Yes | — | — |
| `breadcrumbs` | `array<Breadcrumb> or null` | — | — | Yes | No | — | — |
| `breadcrumbs[]` | `object` | Breadcrumb | — | No | Yes | — | — |
| `breadcrumbs[].id` | `string` | — | — | No | Yes | — | — |
| `breadcrumbs[].name` | `string` | — | — | No | Yes | — | — |
| `created_at` | `string` | — | date-time | No | Yes | — | — |
| `created_by` | `string` | — | — | No | Yes | — | — |
| `entity_type` | `string` | — | — | No | Yes | "folder" | — |
| `id` | `string` | — | — | No | Yes | — | — |
| `name` | `string` | — | — | No | Yes | — | — |
| `parent_folder_id` | `string or null` | — | — | Yes | Yes | — | — |
| `updated_at` | `string` | — | date-time | No | Yes | — | — |

### Response example

```json
{
  "entity_type": "folder",
  "id": "string",
  "name": "string",
  "parent_folder_id": "string",
  "created_by": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

## Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the [distributed error index](/docs/reference/api/errors) to find each code's canonical domain page.

| Status | Code | Description |
| --- | --- | --- |
| 401 | `unauthenticated` | Authentication is missing, invalid, or revoked. |
| 403 | `forbidden` | The authenticated caller does not have access to this operation. |
| 404 | `not_found` | The requested workspace resource was not found. |
| 422 | `validation_failed` | The request did not pass field or business validation. |

## Related operations

- [Delete an agent test folder](/docs/api-reference/agent-test-folders/delete-agent-test-folder) — `DELETE /api/v1/workspaces/{workspace_id}/agent-test-folders/{folder_id}`
- [Get an agent test folder](/docs/api-reference/agent-test-folders/get-agent-test-folder) — `GET /api/v1/workspaces/{workspace_id}/agent-test-folders/{folder_id}`
- [Rename an agent test folder](/docs/api-reference/agent-test-folders/rename-agent-test-folder) — `PATCH /api/v1/workspaces/{workspace_id}/agent-test-folders/{folder_id}`
